<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Cuidados.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	
	if ($_GET['Imprimir']) { 
		$documento = new Documento();
		
		$texto1 = "CUIDADOS PARA EL DIAGNOSTICO DE ";
		$texto2 = "DISFUNCIÓN DE LA ARTICULACIÓN TEMPOROMANDIBULAR.";
		$texto3 = "NO ABRIR GRANDE LA BOCA PARA DAR UN BOCADO, BOSTEZAR, ETC.";
		$texto4 = "MANTENER UNA DIETA BLANDA (nada fibroso, chicloso o duro), Y MASTICAR EL MISMO BOCADO POR AMBOS LADOS.";
		$texto5 = "HACER EJERCICIOS CON LA MANDÍBULA TRES VECES AL DÍA, PREVIA COLOCACIÓN DE CREMA Y FOMENTOS HÚMEDO-CALIENTES SOBRE LAS DOS MEJILLAS POR UN PERIODO DE TREINTA O CUARENTA SEGUNDOS."; 
		$texto6 = "POSTERIORMENTE FRENTE A UN ESPEJO Y EN POSICIÓN RECTA, ABRIR Y CERRAR LA BOCA SIN QUE LA MANDÍBULA SE DESPLACE HACIA EL FRENTE O BIEN A LOS LADOS, DUELA O TRUENE. POR UN PERIODO DE TREINTA O CUARENTA SEGUNDOS.";
		$texto7 = "COMO TRATAMIENTO INICIAL DEBERÁ COLOCARSE UN GUARDA OCLUSAL, SOBRE LAS MUELAS Y DIENTES SUPERIORES, EL CUAL SE  EBERÁ USAR TODO EL DÍA Y TODA LA NOCHE POR UN PERIODO DE DOS O TRES SEMANAS, QUITÁNDOSELO PARA COMER Y LAVARSE LOS DIENTES.";
		$texto8 = "POSTERIORMENTE SE USARA MENOS TIEMPO EN EL DÍA Y TODA LA NOCHE HASTA QUE POR ULTIMO SOLO SE USARÁ PARA DORMIR EN LA SEXTA U OCTAVA SEMANA.";
		$texto9 = "POSTERIORMENTE SE DEBERÁ DECIDIR EL TRATAMIENTO DEFINITIVO YA SEA BASADO EN LA ALINEACIÓN DENTAL (Ortodoncia) O PRÓTESIS DENTALES, SEGÚN EL CASO.";
		$texto10 = "FECHA: ".$documento->fechaTexto();
		$textofinal = $texto1."<br>".$texto2."<br>".$texto3."<br>".$texto4."<br>".$texto5."<br>".$texto6."<br>".$texto7."<br>".$texto8."<br>".$texto9."<br>".$texto10;
	
		$cuidados = new Cuidados();
		$cuidados->texto1 = $texto1;
		$cuidados->texto2 = $texto2;
		$cuidados->texto3 = $texto3;
		$cuidados->texto4 = $texto4;
		$cuidados->texto5 = $texto5;
		$cuidados->texto6 = $texto6;
		$cuidados->texto7 = $texto7;
		$cuidados->texto8 = $texto8;
		$cuidados->texto9 = $texto9;
		$cuidados->texto10 = $texto10;
		if (!$cuidados->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Cuidados.";
		}
		$cuidados->id = mysql_insert_id();
		
		
		$documento->tipo = "cuidados";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		$documento->fecha = date(Y."-".m."-".d);
		$documento->textoid = $cuidados->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
		
	} else {
		
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$cuidados = new Cuidados();
		$cuidados->id = $documento->textoid;
		$cuidados->obtenerdatos();
		
		$texto1 = $cuidados->texto1;
		$texto2 = $cuidados->texto2;
		$texto3 = $cuidados->texto3;
		$texto4 = $cuidados->texto4;
		$texto5 = $cuidados->texto5;
		$texto6 = $cuidados->texto6;
		$texto7 = $cuidados->texto7;
		$texto8 = $cuidados->texto8;
	}
	
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AÑOS - SEXO: ".$paciente->despliegasexo();
	
	$pdf->SetXY(0,0);
	$pdf->Cell(10,40,'',0,1);	
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto1,0,1,C);
	$pdf->Cell(180,5,$texto2,0,1,C);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto3);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto4);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto5);
	$pdf->MultiCell(0,5,$texto6);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto7);
	$pdf->MultiCell(0,5,$texto8);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto9);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto10,0,1,R);
					
	$pdf->Output();
?>